Loading...
Searching...
No Matches
hwcontext_vdpau.h File Reference

An API-specific header for AV_HWDEVICE_TYPE_VDPAU. More...

`#include <vdpau/vdpau.h>`

Go to the source code of this file.

## Data Structures

struct | AVVDPAUDeviceContext
| This struct is allocated as AVHWDeviceContext.hwctx. More...

## Detailed Description

An API-specific header for AV_HWDEVICE_TYPE_VDPAU.

This API supports dynamic frame pools. AVHWFramesContext.pool must return AVBufferRefs whose data pointer is a VdpVideoSurface.

Definition in file hwcontext_vdpau.h.